using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace StekloMaster
{
    public partial class Form10 : Form
    {
        public Form10()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            foreach (Form f in Application.OpenForms)
            {
                if (f.Name == "Form11")
                {
                    MessageBox.Show("Редактор уже открыт!");
                    return;
                }
            }
            Form11 f1 = new Form11();
            f1.Owner = this.Owner;
            f1.Show();
            this.Close();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            foreach (Form f in Application.OpenForms)
            {
                if (f.Name == "Form13")
                {
                    MessageBox.Show("Редактор уже открыт!");
                    return;
                }
            }
            Form13 f1 = new Form13();
            f1.Owner = this.Owner;
            f1.Show();
            this.Close();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            foreach (Form f in Application.OpenForms)
            {
                if (f.Name == "Form24")
                {
                    MessageBox.Show("Редактор уже открыт!");
                    return;
                }
            }
            Form24 f1 = new Form24();
            f1.Owner = this.Owner;
            f1.Show();
            this.Close();
        }
    }
}
